Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] can't emerge world!
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
indietrash
Guru
Guru


Joined: 17 Sep 2008
Posts: 353
Location: Norway

PostPosted: Mon Dec 21, 2009 9:27 pm    Post subject: [SOLVED] can't emerge world! Reply with quote

emerge -aDN world said:
Code:

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'sys-fs/udev-146-r1', 'merge') pulled in by
    virtual/dev-manager required by system
    sys-fs/udev required by ('ebuild', '/', 'sys-kernel/gentoo-sources-2.6.31-r6', 'merge')

  ('installed', '/', 'sys-fs/device-mapper-1.02.24-r1', 'nomerge') pulled in by
    sys-fs/device-mapper required by world


so I cleaned it. now emerge -aDN world says:

Code:

>>> Verifying ebuild manifests
Traceback (most recent call last):
  File "/usr/bin/emerge", line 40, in <module>
    retval = _emerge.emerge_main()
  File "/usr/lib64/portage/pym/_emerge/__init__.py", line 15814, in emerge_main
    myopts, myaction, myfiles, spinner)
  File "/usr/lib64/portage/pym/_emerge/__init__.py", line 14872, in action_build
    retval = mergetask.merge()
  File "/usr/lib64/portage/pym/_emerge/__init__.py", line 10865, in merge
    rval = self._check_manifests()
  File "/usr/lib64/portage/pym/_emerge/__init__.py", line 10684, in _check_manifests
    if not portage.digestcheck([], quiet_config, strict=True):
  File "/usr/lib64/portage/pym/portage/__init__.py", line 4807, in digestcheck
    mf.checkTypeHashes("AUX")
  File "/usr/lib64/portage/pym/portage/manifest.py", line 401, in checkTypeHashes
    self.checkFileHashes(idtype, f, ignoreMissing=ignoreMissingFiles)
  File "/usr/lib64/portage/pym/portage/manifest.py", line 406, in checkFileHashes
    ok,reason = verify_all(self._getAbsname(ftype, fname), self.fhashdict[ftype][fname])
  File "/usr/lib64/portage/pym/portage/checksum.py", line 183, in verify_all
    myhash = perform_checksum(filename, x, calc_prelink=calc_prelink)[0]
  File "/usr/lib64/portage/pym/portage/checksum.py", line 232, in perform_checksum
    myhash, mysize = hashfunc_map[hashname](myfilename)
  File "/usr/lib64/portage/pym/portage/checksum.py", line 30, in pyhash
    data = f.read(blocksize)
IOError: [Errno 5] Input/output error



p.s.
I have re-emerged device-mapper. that worked fine. but I can't emerge world...


Last edited by indietrash on Thu Dec 24, 2009 1:53 pm; edited 3 times in total
Back to top
View user's profile Send private message
d2_racing
Moderator
Moderator


Joined: 25 Apr 2005
Posts: 13046
Location: Ste-Foy,Canada

PostPosted: Tue Dec 22, 2009 1:32 am    Post subject: Reply with quote

I think that you need to run this :

Code:

# emerge -C sys-fs/device-mapper
# emerge -auDNv world

_________________
Sysadmin of GentooQuébec.org
Wiki
Signature
IRC on Freenode : #gentoo-quebec
Back to top
View user's profile Send private message
indietrash
Guru
Guru


Joined: 17 Sep 2008
Posts: 353
Location: Norway

PostPosted: Tue Dec 22, 2009 1:36 am    Post subject: Reply with quote

hi. please re-read my post.
Back to top
View user's profile Send private message
d2_racing
Moderator
Moderator


Joined: 25 Apr 2005
Posts: 13046
Location: Ste-Foy,Canada

PostPosted: Tue Dec 22, 2009 1:42 am    Post subject: Reply with quote

Are you sure that your python is still working ?

Can you post this :

Code:

# emerge --info
# eselect python list


Can you emerge something just to see if it's actually compilling ?
_________________
Sysadmin of GentooQuébec.org
Wiki
Signature
IRC on Freenode : #gentoo-quebec
Back to top
View user's profile Send private message
indietrash
Guru
Guru


Joined: 17 Sep 2008
Posts: 353
Location: Norway

PostPosted: Tue Dec 22, 2009 1:44 am    Post subject: Reply with quote

if you re-read my post yet again, you might notice that I emerged device-mapper without trouble. I also for the record did emerge -au mozilla-firefox with great success. emerge -aDN mozilla-firefox didn't work though.

here's emerge info:

Code:

Portage 2.1.6.13 (default/linux/amd64/10.0/desktop, gcc-4.3.4, glibc-2.9_p20081201-r2, 2.6.30-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.30-gentoo-r5-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9400_@_2.53GHz-with-gentoo-1.12.13
Timestamp of tree: Mon, 21 Dec 2009 16:15:03 +0000
app-shells/bash:     4.0_p28
dev-java/java-config: 2.1.9-r1
dev-lang/python:     2.6.2-r1
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.7.9-r1, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.gentoo.no/ "
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/java-overlay /usr/local/portage/layman/mozilla /usr/local/portage/layman/kde-sunset /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 avi berkdb bindist bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus dhcpcd dri dts dvd dvdr dvdrw eds emboss encode evo fam firefox flac fortran gdbm gif gpm gstreamer hal iconv ipod ipv6 jack jpeg ldap libnotify m4a mad mikmod mmx mng modules mp3 mp4 mpeg mpg mplayer mudflap multilib ncurses nls nptl nptlonly nvidia ogg opengl openmp pam pcre pdf perl pgn png ppds pppd python qt3support quicktime readline reflection sdl session spell spl sse sse2 ssl startup-notification svg sysfs tcpd thunar tiff truetype unicode usb v4l2 vcd vorbis x264 xml xorg xulrunner xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


and here's eselect python list:
Code:

Available python interpreters:
  [1]   python2.6 *
Back to top
View user's profile Send private message
rod
n00b
n00b


Joined: 17 Jul 2009
Posts: 10
Location: Dunnunda

PostPosted: Tue Dec 22, 2009 4:43 am    Post subject: Known udev / device-mapper issues >udev-1.4.5 Reply with quote

Maybe your problem's related to this: http://bugs.gentoo.org/show_bug.cgi?id=284222?

In short, seems that the functionality of device-mapper's now provided by lvm2, so replacing device-mapper with lvm2 should get around your original block.
_________________
Cheers,

Rod
Back to top
View user's profile Send private message
Genone
Retired Dev
Retired Dev


Joined: 14 Mar 2003
Posts: 8993
Location: beyond the rim

PostPosted: Tue Dec 22, 2009 11:05 am    Post subject: Reply with quote

Code:
IOError: [Errno 5] Input/output error

That error usually indicates a corrupted filesystem or a broken/dying harddisk. Try running fsck on the filesystem containing /usr/portage and/or completely remove /usr/portage and run emerge --sync.
Back to top
View user's profile Send private message
indietrash
Guru
Guru


Joined: 17 Sep 2008
Posts: 353
Location: Norway

PostPosted: Tue Dec 22, 2009 1:23 pm    Post subject: Reply with quote

Genone wrote:
Code:
IOError: [Errno 5] Input/output error

That error usually indicates a corrupted filesystem or a broken/dying harddisk. Try running fsck on the filesystem containing /usr/portage and/or completely remove /usr/portage and run emerge --sync.


heeeey... I just ran fsck, emerge --sync && eix-update. it was working prior to this, when I think about it. I'll try removing /usr/portage and doing another --sync.
Back to top
View user's profile Send private message
d2_racing
Moderator
Moderator


Joined: 25 Apr 2005
Posts: 13046
Location: Ste-Foy,Canada

PostPosted: Tue Dec 22, 2009 1:34 pm    Post subject: Reply with quote

If you find the solution, post it, because I had that error back in 2007, and I wiped my file system actually.
_________________
Sysadmin of GentooQuébec.org
Wiki
Signature
IRC on Freenode : #gentoo-quebec
Back to top
View user's profile Send private message
indietrash
Guru
Guru


Joined: 17 Sep 2008
Posts: 353
Location: Norway

PostPosted: Tue Dec 22, 2009 2:37 pm    Post subject: Reply with quote

d2_racing wrote:
If you find the solution, post it, because I had that error back in 2007, and I wiped my file system actually.


after cleaning device-mapper, I ran rm -rf /usr/portage/* && emerge --sync && emerge -aDN world. vóila. worked like a charm... well... sort of. now e2fsprogs are blocking util-linux. but if I try to remove either, it says that it's part of system and thus shouldn't be removed... help?
Back to top
View user's profile Send private message
d2_racing
Moderator
Moderator


Joined: 25 Apr 2005
Posts: 13046
Location: Ste-Foy,Canada

PostPosted: Tue Dec 22, 2009 10:01 pm    Post subject: Reply with quote

In fact, double check the forum about that problem and do not remove any of those before reading the forum :P
_________________
Sysadmin of GentooQuébec.org
Wiki
Signature
IRC on Freenode : #gentoo-quebec
Back to top
View user's profile Send private message
d2_racing
Moderator
Moderator


Joined: 25 Apr 2005
Posts: 13046
Location: Ste-Foy,Canada

PostPosted: Tue Dec 22, 2009 10:05 pm    Post subject: Reply with quote

Is that your problem : http://forums.gentoo.org/viewtopic-t-807956-highlight-e2fsprogs.html
_________________
Sysadmin of GentooQuébec.org
Wiki
Signature
IRC on Freenode : #gentoo-quebec
Back to top
View user's profile Send private message
indietrash
Guru
Guru


Joined: 17 Sep 2008
Posts: 353
Location: Norway

PostPosted: Tue Dec 22, 2009 11:39 pm    Post subject: Reply with quote

looks likely. I'll try updating e2fsprogs to 1.41.9 and see what happens then...


update:

so I still get:
Code:

[blocks B     ] sys-fs/device-mapper ("sys-fs/device-mapper" is blocking sys-fs/udev-146-r1)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'sys-fs/udev-146-r1', 'merge') pulled in by
    virtual/dev-manager required by system
    sys-fs/udev required by ('ebuild', '/', 'sys-kernel/gentoo-sources-2.6.31-r6', 'merge')

  ('installed', '/', 'sys-fs/device-mapper-1.02.24-r1', 'nomerge') pulled in by
    sys-fs/device-mapper required by world


so after spending a few minutes in #gentoo, I learned that device-mapper is deprecated and that I needed lvm2. so emerge -C device-mapper and emerge -atDN world, and there is lvm2 in the middle of things. so I'm doing that now, and I think I'm safe. phew!
Back to top
View user's profile Send private message
d2_racing
Moderator
Moderator


Joined: 25 Apr 2005
Posts: 13046
Location: Ste-Foy,Canada

PostPosted: Wed Dec 23, 2009 2:45 am    Post subject: Reply with quote

Yep, you had a nasty update.
_________________
Sysadmin of GentooQuébec.org
Wiki
Signature
IRC on Freenode : #gentoo-quebec
Back to top
View user's profile Send private message
indietrash
Guru
Guru


Joined: 17 Sep 2008
Posts: 353
Location: Norway

PostPosted: Wed Dec 23, 2009 12:37 pm    Post subject: Reply with quote

everything looks ok now though. :)




EDIT:

although I do have to disable something in the kernel now I think, but do I have to use a new kernel - or can I just configure my current kernel?
Back to top
View user's profile Send private message
d2_racing
Moderator
Moderator


Joined: 25 Apr 2005
Posts: 13046
Location: Ste-Foy,Canada

PostPosted: Wed Dec 23, 2009 4:57 pm    Post subject: Reply with quote

Hi, which kernel version are you using right now ?

Also, what is the option that you are talking about ?
_________________
Sysadmin of GentooQuébec.org
Wiki
Signature
IRC on Freenode : #gentoo-quebec
Back to top
View user's profile Send private message
indietrash
Guru
Guru


Joined: 17 Sep 2008
Posts: 353
Location: Norway

PostPosted: Wed Dec 23, 2009 5:06 pm    Post subject: Reply with quote

it scrolled by without me really catching it. I'll look for it the next time I boot. sysfs something. I'm using 2.6.30-gentoo-r5.
Back to top
View user's profile Send private message
d2_racing
Moderator
Moderator


Joined: 25 Apr 2005
Posts: 13046
Location: Ste-Foy,Canada

PostPosted: Wed Dec 23, 2009 5:13 pm    Post subject: Reply with quote

Ok, it must be the CONFIG_SYSFS_DEPRECATED_V2, you need to actually disable it from your kernel.

Code:

General setup  --->
      [ ] remove sysfs features which may confuse old userspace tools


Recompile your kernel, copy it inside /boot and reboot your box.
_________________
Sysadmin of GentooQuébec.org
Wiki
Signature
IRC on Freenode : #gentoo-quebec
Back to top
View user's profile Send private message
indietrash
Guru
Guru


Joined: 17 Sep 2008
Posts: 353
Location: Norway

PostPosted: Wed Dec 23, 2009 10:03 pm    Post subject: Reply with quote

actually, it's called "create..." instead of "remove..." in my kernel's config. I'll try that and report back. thanks.
Back to top
View user's profile Send private message
Mike Hunt
Watchman
Watchman


Joined: 19 Jul 2009
Posts: 5287

PostPosted: Wed Dec 23, 2009 11:23 pm    Post subject: Reply with quote

... and on mine it's called 'enable' -lol-
Code:
[ ] enable deprecated sysfs features which may confuse old userspace
Code:
# uname -r
2.6.32-gentoo


It's always a good idea to read the help for each kernel option in make menuconfig - or whichever config tool you use. :)
Back to top
View user's profile Send private message
indietrash
Guru
Guru


Joined: 17 Sep 2008
Posts: 353
Location: Norway

PostPosted: Thu Dec 24, 2009 1:52 pm    Post subject: Reply with quote

I just removed the create..., and now it works like a charm. thanks everyone. :)
Back to top
View user's profile Send private message
d2_racing
Moderator
Moderator


Joined: 25 Apr 2005
Posts: 13046
Location: Ste-Foy,Canada

PostPosted: Thu Dec 24, 2009 3:25 pm    Post subject: Reply with quote

Nice :P
_________________
Sysadmin of GentooQuébec.org
Wiki
Signature
IRC on Freenode : #gentoo-quebec
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum